账户会话

DELETE /core/v1/keys/{id}

撤销本人 Key;保留账务

身份要求

账户会话. 会话/管理写操作不在公共 Playground 执行。

接口

curl --request DELETE 'https://api.oneaster.ai/core/v1/keys/1' \
  --header 'Authorization: Bearer '"$ONEASTER_SESSION_TOKEN"

参数

- id (path, 必填): {"type":"string","pattern":"^[0-9]+$"}

响应

200

撤销本人 Key;保留账务

{
  "application/json": {
    "schema": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "success": {
          "const": true
        },
        "data": {
          "type": "null"
        }
      },
      "required": [
        "success",
        "data"
      ]
    }
  }
}

default

错误代码见 core-api.md;供应商/数据库错误已隐藏。

{
  "application/json": {
    "schema": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "success": {
          "const": false
        },
        "error": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "code": {
              "type": "string"
            },
            "message": {
              "type": "string"
            },
            "type": {
              "const": "oneaster_error"
            }
          },
          "required": [
            "code",
            "message",
            "type"
          ]
        },
        "data": {
          "type": "null"
        }
      },
      "required": [
        "success",
        "error",
        "data"
      ]
    }
  }
}